Create Business

http
POST https://services.leadconnectorhq.com/businesses/

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
namestringYesMicrosoft
locationIdstringYes5DP4iH6HLkQsiKESj6rh
phonestringNo+18832327657
emailstringNojohn@deo.com
websitestringNowww.xyz.com
addressstringNostreet adress
citystringNonew york
postalCodestringNo12312312
statestringNonew york
countrystringNous
descriptionstringNobusiness description

Responses

201 - Successful response
  • success (boolean, required): Success Value Example: True

  • buiseness (object, required): Business Response

json
{
  "success": true
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/businesses/' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "Microsoft",
  "locationId": "5DP4iH6HLkQsiKESj6rh",
  "phone": "+18832327657",
  "email": "john@deo.com",
  "website": "www.xyz.com",
  "address": "street adress",
  "city": "new york",
  "postalCode": "12312312",
  "state": "new york",
  "country": "us",
  "description": "business description"
}'

Last updated October 26, 2026

Was this page helpful?